
from PyObjCTools.TestSupport import *
from QTKit import *

class TestQTKitDefines (TestCase):
    def testConstants(self):
        self.failUnlessEqual(QTKIT_VERSION_7_0, 70000)
        self.failUnlessEqual(QTKIT_VERSION_7_2, 70200)

        self.failUnlessEqual(VideoMediaType, fourcc('vide'))
        self.failUnlessEqual(SoundMediaType, fourcc('soun'))
        self.failUnlessEqual(TextMediaType, fourcc('text'))
        self.failUnlessEqual(BaseMediaType, fourcc('gnrc'))
        self.failUnlessEqual(MPEGMediaType, fourcc('MPEG'))
        self.failUnlessEqual(MusicMediaType, fourcc('musi'))
        self.failUnlessEqual(TimeCodeMediaType, fourcc('tmcd'))
        self.failUnlessEqual(SpriteMediaType, fourcc('sprt'))
        self.failUnlessEqual(FlashMediaType, fourcc('flsh'))
        self.failUnlessEqual(MovieMediaType, fourcc('moov'))
        self.failUnlessEqual(TweenMediaType, fourcc('twen'))
        self.failUnlessEqual(ThreeDeeMediaType, fourcc('qd3d'))
        self.failUnlessEqual(SkinMediaType, fourcc('skin'))
        self.failUnlessEqual(HandleDataHandlerSubType, fourcc('hndl'))
        self.failUnlessEqual(PointerDataHandlerSubType, fourcc('ptr '))
        self.failUnlessEqual(NullDataHandlerSubType, fourcc('null'))
        self.failUnlessEqual(ResourceDataHandlerSubType, fourcc('rsrc'))
        self.failUnlessEqual(URLDataHandlerSubType, fourcc('url '))
        self.failUnlessEqual(AliasDataHandlerSubType, fourcc('alis'))
        self.failUnlessEqual(WiredActionHandlerType, fourcc('wire'))
        self.failUnlessEqual(kQTQuartzComposerMediaType, fourcc('qtz '))
        self.failUnlessEqual(TimeCode64MediaType, fourcc('tc64'))

        self.failUnlessEqual(kQTFileTypeAIFF, fourcc('AIFF'))
        self.failUnlessEqual(kQTFileTypeAIFC, fourcc('AIFC'))
        self.failUnlessEqual(kQTFileTypeDVC, fourcc('dvc!'))
        self.failUnlessEqual(kQTFileTypeMIDI, fourcc('Midi'))
        self.failUnlessEqual(kQTFileTypePicture, fourcc('PICT'))
        self.failUnlessEqual(kQTFileTypeMovie, fourcc('MooV'))
        self.failUnlessEqual(kQTFileTypeText, fourcc('TEXT'))
        self.failUnlessEqual(kQTFileTypeWave, fourcc('WAVE'))
        self.failUnlessEqual(kQTFileTypeSystemSevenSound, fourcc('sfil'))
        self.failUnlessEqual(kQTFileTypeMuLaw, fourcc('ULAW'))
        self.failUnlessEqual(kQTFileTypeAVI, fourcc('VfW '))
        self.failUnlessEqual(kQTFileTypeSoundDesignerII, fourcc('Sd2f'))
        self.failUnlessEqual(kQTFileTypeAudioCDTrack, fourcc('trak'))
        self.failUnlessEqual(kQTFileTypePICS, fourcc('PICS'))
        self.failUnlessEqual(kQTFileTypeGIF, fourcc('GIFf'))
        self.failUnlessEqual(kQTFileTypePNG, fourcc('PNGf'))
        self.failUnlessEqual(kQTFileTypeTIFF, fourcc('TIFF'))
        self.failUnlessEqual(kQTFileTypePhotoShop, fourcc('8BPS'))
        self.failUnlessEqual(kQTFileTypeSGIImage, fourcc('.SGI'))
        self.failUnlessEqual(kQTFileTypeBMP, fourcc('BMPf'))
        self.failUnlessEqual(kQTFileTypeJPEG, fourcc('JPEG'))
        self.failUnlessEqual(kQTFileTypeJFIF, fourcc('JPEG'))
        self.failUnlessEqual(kQTFileTypeMacPaint, fourcc('PNTG'))
        self.failUnlessEqual(kQTFileTypeTargaImage, fourcc('TPIC'))
        self.failUnlessEqual(kQTFileTypeQuickDrawGXPicture, fourcc('qdgx'))
        self.failUnlessEqual(kQTFileTypeQuickTimeImage, fourcc('qtif'))
        self.failUnlessEqual(kQTFileType3DMF, fourcc('3DMF'))
        self.failUnlessEqual(kQTFileTypeFLC, fourcc('FLC '))
        self.failUnlessEqual(kQTFileTypeFlash, fourcc('SWFL'))
        self.failUnlessEqual(kQTFileTypeFlashPix, fourcc('FPix'))
        self.failUnlessEqual(kQTFileTypeMP4, fourcc('mpg4'))
        self.failUnlessEqual(kQTFileTypePDF, fourcc('PDF '))
        self.failUnlessEqual(kQTFileType3GPP, fourcc('3gpp'))
        self.failUnlessEqual(kQTFileTypeAMR, fourcc('amr '))
        self.failUnlessEqual(kQTFileTypeSDV, fourcc('sdv '))
        self.failUnlessEqual(kQTFileType3GP2, fourcc('3gp2'))
        self.failUnlessEqual(kQTFileTypeAMC, fourcc('amc '))
        self.failUnlessEqual(kQTFileTypeJPEG2000, fourcc('jp2 '))
        self.failUnlessEqual(codecLosslessQuality, 0x00000400)
        self.failUnlessEqual(codecMaxQuality, 0x000003FF)
        self.failUnlessEqual(codecMinQuality, 0x00000000)
        self.failUnlessEqual(codecLowQuality, 0x00000100)
        self.failUnlessEqual(codecNormalQuality, 0x00000200)
        self.failUnlessEqual(codecHighQuality, 0x00000300)
        self.failUnlessEqual(kRawCodecType, fourcc('raw '))
        self.failUnlessEqual(kCinepakCodecType, fourcc('cvid'))
        self.failUnlessEqual(kGraphicsCodecType, fourcc('smc '))
        self.failUnlessEqual(kAnimationCodecType, fourcc('rle '))
        self.failUnlessEqual(kVideoCodecType, fourcc('rpza'))
        self.failUnlessEqual(kComponentVideoCodecType, fourcc('yuv2'))
        self.failUnlessEqual(kJPEGCodecType, fourcc('jpeg'))
        self.failUnlessEqual(kMotionJPEGACodecType, fourcc('mjpa'))
        self.failUnlessEqual(kMotionJPEGBCodecType, fourcc('mjpb'))
        self.failUnlessEqual(kSGICodecType, fourcc('.SGI'))
        self.failUnlessEqual(kPlanarRGBCodecType, fourcc('8BPS'))
        self.failUnlessEqual(kMacPaintCodecType, fourcc('PNTG'))
        self.failUnlessEqual(kGIFCodecType, fourcc('gif '))
        self.failUnlessEqual(kPhotoCDCodecType, fourcc('kpcd'))
        self.failUnlessEqual(kQuickDrawGXCodecType, fourcc('qdgx'))
        self.failUnlessEqual(kAVRJPEGCodecType, fourcc('avr '))
        self.failUnlessEqual(kOpenDMLJPEGCodecType, fourcc('dmb1'))
        self.failUnlessEqual(kBMPCodecType, fourcc('WRLE'))
        self.failUnlessEqual(kWindowsRawCodecType, fourcc('WRAW'))
        self.failUnlessEqual(kVectorCodecType, fourcc('path'))
        self.failUnlessEqual(kQuickDrawCodecType, fourcc('qdrw'))
        self.failUnlessEqual(kWaterRippleCodecType, fourcc('ripl'))
        self.failUnlessEqual(kFireCodecType, fourcc('fire'))
        self.failUnlessEqual(kCloudCodecType, fourcc('clou'))
        self.failUnlessEqual(kH261CodecType, fourcc('h261'))
        self.failUnlessEqual(kH263CodecType, fourcc('h263'))
        self.failUnlessEqual(kDVCNTSCCodecType, fourcc('dvc '))
        self.failUnlessEqual(kDVCPALCodecType, fourcc('dvcp'))
        self.failUnlessEqual(kDVCProPALCodecType, fourcc('dvpp'))
        self.failUnlessEqual(kDVCPro50NTSCCodecType, fourcc('dv5n'))
        self.failUnlessEqual(kDVCPro50PALCodecType, fourcc('dv5p'))
        self.failUnlessEqual(kDVCPro100NTSCCodecType, fourcc('dv1n'))
        self.failUnlessEqual(kDVCPro100PALCodecType, fourcc('dv1p'))
        self.failUnlessEqual(kDVCPROHD720pCodecType, fourcc('dvhp'))
        self.failUnlessEqual(kDVCPROHD1080i60CodecType, fourcc('dvh6'))
        self.failUnlessEqual(kDVCPROHD1080i50CodecType, fourcc('dvh5'))
        self.failUnlessEqual(kBaseCodecType, fourcc('base'))
        self.failUnlessEqual(kFLCCodecType, fourcc('flic'))
        self.failUnlessEqual(kTargaCodecType, fourcc('tga '))
        self.failUnlessEqual(kPNGCodecType, fourcc('png '))
        self.failUnlessEqual(kTIFFCodecType, fourcc('tiff'))
        self.failUnlessEqual(kComponentVideoSigned, fourcc('yuvu'))
        self.failUnlessEqual(kComponentVideoUnsigned, fourcc('yuvs'))
        self.failUnlessEqual(kCMYKCodecType, fourcc('cmyk'))
        self.failUnlessEqual(kMicrosoftVideo1CodecType, fourcc('msvc'))
        self.failUnlessEqual(kSorensonCodecType, fourcc('SVQ1'))
        self.failUnlessEqual(kSorenson3CodecType, fourcc('SVQ3'))
        self.failUnlessEqual(kIndeo4CodecType, fourcc('IV41'))
        self.failUnlessEqual(kMPEG4VisualCodecType, fourcc('mp4v'))
        self.failUnlessEqual(k64ARGBCodecType, fourcc('b64a'))
        self.failUnlessEqual(k48RGBCodecType, fourcc('b48r'))
        self.failUnlessEqual(k32AlphaGrayCodecType, fourcc('b32a'))
        self.failUnlessEqual(k16GrayCodecType, fourcc('b16g'))
        self.failUnlessEqual(kMpegYUV420CodecType, fourcc('myuv'))
        self.failUnlessEqual(kYUV420CodecType, fourcc('y420'))
        self.failUnlessEqual(kSorensonYUV9CodecType, fourcc('syv9'))
        self.failUnlessEqual(k422YpCbCr8CodecType, fourcc('2vuy'))
        self.failUnlessEqual(k444YpCbCr8CodecType, fourcc('v308'))
        self.failUnlessEqual(k4444YpCbCrA8CodecType, fourcc('v408'))
        self.failUnlessEqual(k422YpCbCr16CodecType, fourcc('v216'))
        self.failUnlessEqual(k422YpCbCr10CodecType, fourcc('v210'))
        self.failUnlessEqual(k444YpCbCr10CodecType, fourcc('v410'))
        self.failUnlessEqual(k4444YpCbCrA8RCodecType, fourcc('r408'))
        self.failUnlessEqual(kJPEG2000CodecType, fourcc('mjp2'))
        self.failUnlessEqual(kPixletCodecType, fourcc('pxlt'))
        self.failUnlessEqual(kH264CodecType, fourcc('avc1'))
        self.failUnlessEqual(graphicsModeStraightAlpha, 256)
        self.failUnlessEqual(graphicsModePreWhiteAlpha, 257)
        self.failUnlessEqual(graphicsModePreBlackAlpha, 258)
        self.failUnlessEqual(graphicsModeComposition, 259)
        self.failUnlessEqual(graphicsModeStraightAlphaBlend, 260)
        self.failUnlessEqual(graphicsModePreMulColorAlpha, 261)
        self.failUnlessEqual(graphicsModePerComponentAlpha, 272)


if __name__ == "__main__":
    main()
